import { BoxProps } from '../Box/Box';
/**
 * An alerting component for bringing attention to a message.
 */
export interface AlertProps extends Omit<BoxProps, 'fill'> {
    /** Color that is applied to the Alert to indicate the type of action */
    color: 'accent' | 'negative' | 'positive';
    /** Applies a filled in style to the alert. */
    fill?: boolean;
}
export declare const Alert: import('react').ForwardRefExoticComponent<AlertProps & import('react').RefAttributes<any>>;
