import { ButtonProps } from '../Button/Button';
/**
 * A button that can be used to show loading, success, and error states.
 */
export interface ButtonAsyncProps extends ButtonProps {
    /** Error message that will be shown in the button */
    error?: string;
    /** Whether the button is in an error state */
    isError: boolean;
    /** Whether the button is in a loading state */
    isLoading: boolean;
    /** Whether the button is in a success state.
     * If omitted it will just return to the default state
     */
    isSuccess?: boolean;
}
export declare const ButtonAsync: import('react').ForwardRefExoticComponent<ButtonAsyncProps & import('react').RefAttributes<any>>;
