import { BoxProps } from '../Box/Box';
import { TypeSize } from '../types';
/**
 * Button container component that joins or separates child components.
 */
export interface ButtonsProps extends BoxProps {
    /**
     * Spacing applied between child Button items, values are global spacing variables.
     *
     * @default "x1"
     */
    gap?: TypeSize;
    /** Configures the children Buttons to be joined together. */
    joined?: boolean;
}
export declare const Buttons: import('react').ForwardRefExoticComponent<ButtonsProps & import('react').RefAttributes<any>>;
