import { TextProps } from '../Text/Text';
import { Language, SyntaxHighlightProps } from './SyntaxHighlight';
/**
 * Provides some syntax highlighting, courtesy of PrismJS.
 */
export interface CodeBlockProps extends TextProps, Partial<Pick<SyntaxHighlightProps, 'wrapLines' | 'wrapLongLines'>> {
    /**
     * Code content
     **/
    children?: string;
    /**
     * Language of the content to be highlighted. What ever language is
     * set here the matching Ace mode needs to be imported. For example.
     **/
    language?: Language;
}
export declare const CodeBlock: import('react').MemoExoticComponent<import('react').ForwardRefExoticComponent<CodeBlockProps & import('react').RefAttributes<any>>>;
