import { SyntaxHighlighterProps } from 'react-syntax-highlighter';
export type Language = 'css' | 'json' | 'rust' | 'tsx' | 'typescript';
/**
 * Provides some syntax highlighting, courtesy of PrismJS.
 */
export interface SyntaxHighlightProps extends Omit<SyntaxHighlighterProps, 'children'> {
    /**
     * Code content
     **/
    children?: string;
    /**
     * Language of the content to be highlighted. What ever language is
     * set here the matching Ace mode needs to be imported. For example.
     **/
    language: Language;
}
export declare const SyntaxHighlight: ({ children, language, ...rest }: SyntaxHighlightProps) => import("react/jsx-runtime").JSX.Element;
