import { BoxProps } from '../Box/Box';
/**
 * Simple inline date range picker with a calendar view.
 */
export interface DatePickerProps extends Omit<BoxProps, 'onChange'> {
    /** Change handler that is called when the selection changes */
    onChange: (startDate: string, endDate: string) => void;
    /**
     * The end date that has been selected. When not a range
     * selection, this is the single selected date
     */
    endDate?: string;
    /**
     * The start date that has been selected. When not a range
     * selection, this is the single selected date
     */
    startDate?: string;
    /**
     * Flag to change the behaviour from a single
     * selectable date to a range
     */
    range?: boolean;
    /**
     * The latest selectable date
     */
    latestSelectableDate?: string;
    /**
     * The earliest selectable date
     */
    earliestSelectableDate?: string;
}
export declare const DatePicker: import('react').ForwardRefExoticComponent<DatePickerProps & import('react').RefAttributes<any>>;
