import { FormState } from './FormProvider';
export type FormValidateError<T, E> = Partial<Record<keyof T, E>>;
export type FormValidateFn<T, E> = (value: T, setError: (error: FormValidateError<T, E> | null) => void) => void;
export type UseFormProps<T, E> = {
    initial: T;
    validate?: FormValidateFn<T, E>;
};
declare const useForm: <T extends Record<string, any>, E = string>({ initial, validate, }: UseFormProps<T, E>) => FormState<T, E>;
export default useForm;
