import { BoxProps } from '../Box/Box';
import { TypeSize } from '../types';
/**
 * An abstracted grid component for my common grid layouts.
 */
export interface GridProps extends BoxProps {
    /** Controls the horizontal alignment of the items */
    alignChildren?: 'start' | 'middle' | 'end';
    /** Sets the distances between items to a multiple value. E.g. 'x1'. */
    gap?: TypeSize;
    /** Sets the horizontal distance between items to a multiple value. E.g. 'x1'. */
    gapHorizontal?: TypeSize;
    /** Sets the horizontal distance between items to a multiple value. E.g. 'x1'. */
    gapVertical?: TypeSize;
    /** Sets the primary repeat value */
    repeat?: number | string | 'auto-fill' | 'auto-fit';
    /** Sets the explicit width the repeated items will be resized */
    repeatWidth?: string | 'max-content' | 'min-content';
    /** Sets the maximum width the repeated items can be resized to */
    repeatWidthMax?: string;
    /** Sets the minimum width the repeated items can be resized to */
    repeatWidthMin?: string;
    /** Sets the implicit row size */
    rowSize?: string | 'max-content' | 'min-content';
}
export declare const Grid: import('react').ForwardRefExoticComponent<GridProps & import('react').RefAttributes<any>>;
