import { BoxProps } from '../Box/Box';
import { TextProps } from '../Text/Text';
/**
 * The label element of the input. This should be placed
 * directly above the Input component.
 */
export interface InputLabelProps extends Omit<BoxProps, 'label'> {
    /**
     * A helpful description that can be displayed under the input.
     */
    description?: string | JSX.Element;
    /**
     * Alignment of the description text.
     */
    descriptionAlign?: TextProps['align'];
    /**
     * The label string that is rendered above the Input.
     */
    label?: string | JSX.Element;
}
export declare const InputLabel: import('react').ForwardRefExoticComponent<InputLabelProps & import('react').RefAttributes<any>>;
