import { BoxProps } from '../Box/Box';
import { TypeColor } from '../types';
/**
 * A wrapper component for the Input component, provided for
 * custom input implementations but does not need to be used
 * with Input components form this package.
 */
export interface InputWrapperProps extends BoxProps {
    /**
     * Addon that appears before the Input
     */
    addonEnd?: JSX.Element;
    /**
     * Vertical alignment of the end addon
     */
    addonEndAlignment?: BoxProps['alignSelf'];
    /**
     * Addon that appears after the Input
     */
    addonStart?: JSX.Element;
    /**
     * Vertical alignment of the start addon
     */
    addonStartAlignment?: BoxProps['alignSelf'];
    /**
     * Sets styling to indicate the input is invalid.
     */
    invalid?: boolean;
    /**
     * Sets the text color when the input is in focus
     *
     * @default 'accent-shade-4'
     */
    textColorActive?: TypeColor;
    /**
     * Sets the text color when the input is hovered
     *
     * @default 'accent-shade-3'
     */
    textColorHover?: TypeColor;
}
export declare const InputWrapper: import('react').ForwardRefExoticComponent<InputWrapperProps & import('react').RefAttributes<any>>;
