import { TextProps } from '../Text/Text';
import { TypeBorderSize, TypeColor } from '../types';
/**
 * A link component that can be used to navigate to other pages
 * or sections of the page.
 */
export interface LinkProps extends TextProps {
    /** Retained active state, indicated with styling */
    active?: boolean;
    /** Adds an underline to the link. With a default color of accent */
    underline?: boolean;
    /** The color of the links underline */
    underlineColor?: TypeColor;
    /** The size of the underline color */
    underlineSize?: TypeBorderSize;
    /** The color of the active state */
    textColorActive?: TypeColor;
    /** The color of the hover state */
    textColorHover?: TypeColor;
    /**
     * React Router "to" prop, when applied the Link will behave like a
     * React Router Link component.
     */
    to?: string;
}
export declare const Link: import('react').ForwardRefExoticComponent<LinkProps & import('react').RefAttributes<HTMLAnchorElement>>;
