import { BoxProps } from '../Box/Box';
/**
 * The header element of the Modal. Any children content
 * will be placed in the title area. If an onClose
 * callback is provided to the Modal component, then
 * the cross icon will appear in this element.
 */
export interface ModalHeaderProps extends BoxProps {
    /**
     * Size of the close icon that is used to trigger
     * the onClose callback.
     */
    closeIconSize?: string;
    /**
     * Flag to toggle the stickiness of the header so it
     * remains visible when the ModalBody is scrolled.
     */
    sticky?: boolean;
}
export declare const ModalHeader: import('react').ForwardRefExoticComponent<ModalHeaderProps & import('react').RefAttributes<any>>;
