import { BoxProps } from '../Box/Box';
/**
 * A component apply paddings of a Modal.
 */
export interface ModalPaddingProps extends BoxProps {
    /**
     * Whether or not to apply padding to the top of the Modal.
     *
     * @default true
     */
    top?: boolean;
    /**
     * Whether or not to apply padding to the bottom of the Modal.
     *
     * @default true
     */
    bottom?: boolean;
    /**
     * Whether or not to apply padding to the left of the Modal.
     *
     * @default true
     */
    left?: boolean;
    /**
     * Whether or not to apply padding to the right of the Modal.
     *
     * @default true
     */
    right?: boolean;
}
export declare const ModalPadding: import('react').ForwardRefExoticComponent<ModalPaddingProps & import('react').RefAttributes<any>>;
