import { MotionProps } from 'framer-motion';
import { BoxProps } from '../Box/Box';
export interface MotionsProps extends Omit<MotionProps, 'children'>, Omit<BoxProps, 'onAnimationStart' | 'onDrag' | 'onDragEnd' | 'onDragStart' | 'style'> {
}
export declare const Motion: import('react').ForwardRefExoticComponent<{
    string?: string | number | undefined;
    x1?: string | number | undefined;
    x2?: string | number | undefined;
    reverse?: boolean | undefined;
    filter?: string | undefined;
    fill?: string | undefined;
    values?: string | undefined;
    media?: string | undefined;
    width?: string | number | undefined;
    height?: string | number | undefined;
    size?: number | undefined;
    cite?: string | undefined;
    data?: string | undefined;
    form?: string | undefined;
    label?: string | undefined;
    slot?: string | undefined;
    span?: number | undefined;
    summary?: string | undefined;
    title?: string | undefined;
    clipPath?: string | undefined;
    mask?: string | undefined;
    path?: string | undefined;
    pattern?: string | undefined;
    dir?: string | undefined;
    fixed?: import('..').TypePosition | undefined;
    wrap?: boolean | undefined;
    accept?: string | undefined;
    acceptCharset?: string | undefined;
    action?: string | undefined;
    allowFullScreen?: boolean | undefined;
    allowTransparency?: boolean | undefined;
    alt?: string | undefined;
    as?: string | undefined;
    async?: boolean | undefined;
    autoComplete?: string | undefined;
    autoPlay?: boolean | undefined;
    capture?: boolean | "user" | "environment" | undefined;
    cellPadding?: string | number | undefined;
    cellSpacing?: string | number | undefined;
    charSet?: string | undefined;
    challenge?: string | undefined;
    checked?: boolean | undefined;
    classID?: string | undefined;
    cols?: number | undefined;
    colSpan?: number | undefined;
    controls?: boolean | undefined;
    coords?: string | undefined;
    crossOrigin?: "" | "anonymous" | "use-credentials" | undefined;
    dateTime?: string | undefined;
    default?: boolean | undefined;
    defer?: boolean | undefined;
    disabled?: boolean | undefined;
    download?: any;
    encType?: string | undefined;
    formAction?: string | undefined;
    formEncType?: string | undefined;
    formMethod?: string | undefined;
    formNoValidate?: boolean | undefined;
    formTarget?: string | undefined;
    frameBorder?: string | number | undefined;
    headers?: string | undefined;
    high?: number | undefined;
    href?: string | undefined;
    hrefLang?: string | undefined;
    htmlFor?: string | undefined;
    httpEquiv?: string | undefined;
    integrity?: string | undefined;
    keyParams?: string | undefined;
    keyType?: string | undefined;
    kind?: string | undefined;
    list?: string | undefined;
    loop?: boolean | undefined;
    low?: number | undefined;
    manifest?: string | undefined;
    marginHeight?: number | undefined;
    marginWidth?: number | undefined;
    max?: string | number | undefined;
    maxLength?: number | undefined;
    mediaGroup?: string | undefined;
    method?: string | undefined;
    min?: string | number | undefined;
    minLength?: number | undefined;
    multiple?: boolean | undefined;
    muted?: boolean | undefined;
    name?: string | undefined;
    noValidate?: boolean | undefined;
    open?: boolean | undefined;
    optimum?: number | undefined;
    placeholder?: string | undefined;
    playsInline?: boolean | undefined;
    poster?: string | undefined;
    preload?: string | undefined;
    readOnly?: boolean | undefined;
    required?: boolean | undefined;
    reversed?: boolean | undefined;
    rows?: number | undefined;
    rowSpan?: number | undefined;
    sandbox?: string | undefined;
    scope?: string | undefined;
    scoped?: boolean | undefined;
    scrolling?: string | undefined;
    seamless?: boolean | undefined;
    selected?: boolean | undefined;
    shape?: string | undefined;
    sizes?: string | undefined;
    src?: string | undefined;
    srcDoc?: string | undefined;
    srcLang?: string | undefined;
    srcSet?: string | undefined;
    start?: number | undefined;
    step?: string | number | undefined;
    target?: string | undefined;
    type?: string | undefined;
    useMap?: string | undefined;
    value?: string | number | readonly string[] | undefined;
    wmode?: string | undefined;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    suppressHydrationWarning?: boolean | undefined;
    accessKey?: string | undefined;
    autoFocus?: boolean | undefined;
    className?: string | undefined;
    contentEditable?: (boolean | "true" | "false") | "inherit" | "plaintext-only" | undefined;
    contextMenu?: string | undefined;
    draggable?: (boolean | "true" | "false") | undefined;
    enterKeyHint?: "search" | "next" | "enter" | "done" | "go" | "previous" | "send" | undefined;
    hidden?: boolean | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    nonce?: string | undefined;
    spellCheck?: (boolean | "true" | "false") | undefined;
    tabIndex?: number | undefined;
    translate?: "yes" | "no" | undefined;
    radioGroup?: string | undefined;
    role?: import('react').AriaRole | undefined;
    about?: string | undefined;
    content?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    rel?: string | undefined;
    resource?: string | undefined;
    rev?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    color?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "off" | "on" | undefined;
    inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
    is?: string | undefined;
    "aria-activedescendant"?: string | undefined;
    "aria-atomic"?: (boolean | "true" | "false") | undefined;
    "aria-autocomplete"?: "list" | "none" | "inline" | "both" | undefined;
    "aria-braillelabel"?: string | undefined;
    "aria-brailleroledescription"?: string | undefined;
    "aria-busy"?: (boolean | "true" | "false") | undefined;
    "aria-checked"?: boolean | "true" | "false" | "mixed" | undefined;
    "aria-colcount"?: number | undefined;
    "aria-colindex"?: number | undefined;
    "aria-colindextext"?: string | undefined;
    "aria-colspan"?: number | undefined;
    "aria-controls"?: string | undefined;
    "aria-current"?: boolean | "time" | "step" | "true" | "false" | "page" | "location" | "date" | undefined;
    "aria-describedby"?: string | undefined;
    "aria-description"?: string | undefined;
    "aria-details"?: string | undefined;
    "aria-disabled"?: (boolean | "true" | "false") | undefined;
    "aria-dropeffect"?: "link" | "none" | "copy" | "execute" | "move" | "popup" | undefined;
    "aria-errormessage"?: string | undefined;
    "aria-expanded"?: (boolean | "true" | "false") | undefined;
    "aria-flowto"?: string | undefined;
    "aria-grabbed"?: (boolean | "true" | "false") | undefined;
    "aria-haspopup"?: boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined;
    "aria-hidden"?: (boolean | "true" | "false") | undefined;
    "aria-invalid"?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
    "aria-keyshortcuts"?: string | undefined;
    "aria-label"?: string | undefined;
    "aria-labelledby"?: string | undefined;
    "aria-level"?: number | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined;
    "aria-modal"?: (boolean | "true" | "false") | undefined;
    "aria-multiline"?: (boolean | "true" | "false") | undefined;
    "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined;
    "aria-owns"?: string | undefined;
    "aria-placeholder"?: string | undefined;
    "aria-posinset"?: number | undefined;
    "aria-pressed"?: boolean | "true" | "false" | "mixed" | undefined;
    "aria-readonly"?: (boolean | "true" | "false") | undefined;
    "aria-relevant"?: "text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
    "aria-required"?: (boolean | "true" | "false") | undefined;
    "aria-roledescription"?: string | undefined;
    "aria-rowcount"?: number | undefined;
    "aria-rowindex"?: number | undefined;
    "aria-rowindextext"?: string | undefined;
    "aria-rowspan"?: number | undefined;
    "aria-selected"?: (boolean | "true" | "false") | undefined;
    "aria-setsize"?: number | undefined;
    "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined;
    "aria-valuemax"?: number | undefined;
    "aria-valuemin"?: number | undefined;
    "aria-valuenow"?: number | undefined;
    "aria-valuetext"?: string | undefined;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined;
    onCopy?: import('react').ClipboardEventHandler<any> | undefined;
    onCopyCapture?: import('react').ClipboardEventHandler<any> | undefined;
    onCut?: import('react').ClipboardEventHandler<any> | undefined;
    onCutCapture?: import('react').ClipboardEventHandler<any> | undefined;
    onPaste?: import('react').ClipboardEventHandler<any> | undefined;
    onPasteCapture?: import('react').ClipboardEventHandler<any> | undefined;
    onCompositionEnd?: import('react').CompositionEventHandler<any> | undefined;
    onCompositionEndCapture?: import('react').CompositionEventHandler<any> | undefined;
    onCompositionStart?: import('react').CompositionEventHandler<any> | undefined;
    onCompositionStartCapture?: import('react').CompositionEventHandler<any> | undefined;
    onCompositionUpdate?: import('react').CompositionEventHandler<any> | undefined;
    onCompositionUpdateCapture?: import('react').CompositionEventHandler<any> | undefined;
    onFocus?: import('react').FocusEventHandler<any> | undefined;
    onFocusCapture?: import('react').FocusEventHandler<any> | undefined;
    onBlur?: import('react').FocusEventHandler<any> | undefined;
    onBlurCapture?: import('react').FocusEventHandler<any> | undefined;
    onChange?: import('react').FormEventHandler<any> | undefined;
    onChangeCapture?: import('react').FormEventHandler<any> | undefined;
    onBeforeInput?: import('react').FormEventHandler<any> | undefined;
    onBeforeInputCapture?: import('react').FormEventHandler<any> | undefined;
    onInput?: import('react').FormEventHandler<any> | undefined;
    onInputCapture?: import('react').FormEventHandler<any> | undefined;
    onReset?: import('react').FormEventHandler<any> | undefined;
    onResetCapture?: import('react').FormEventHandler<any> | undefined;
    onSubmit?: import('react').FormEventHandler<any> | undefined;
    onSubmitCapture?: import('react').FormEventHandler<any> | undefined;
    onInvalid?: import('react').FormEventHandler<any> | undefined;
    onInvalidCapture?: import('react').FormEventHandler<any> | undefined;
    onLoad?: import('react').ReactEventHandler<any> | undefined;
    onLoadCapture?: import('react').ReactEventHandler<any> | undefined;
    onError?: import('react').ReactEventHandler<any> | undefined;
    onErrorCapture?: import('react').ReactEventHandler<any> | undefined;
    onKeyDown?: import('react').KeyboardEventHandler<any> | undefined;
    onKeyDownCapture?: import('react').KeyboardEventHandler<any> | undefined;
    onKeyPress?: import('react').KeyboardEventHandler<any> | undefined;
    onKeyPressCapture?: import('react').KeyboardEventHandler<any> | undefined;
    onKeyUp?: import('react').KeyboardEventHandler<any> | undefined;
    onKeyUpCapture?: import('react').KeyboardEventHandler<any> | undefined;
    onAbort?: import('react').ReactEventHandler<any> | undefined;
    onAbortCapture?: import('react').ReactEventHandler<any> | undefined;
    onCanPlay?: import('react').ReactEventHandler<any> | undefined;
    onCanPlayCapture?: import('react').ReactEventHandler<any> | undefined;
    onCanPlayThrough?: import('react').ReactEventHandler<any> | undefined;
    onCanPlayThroughCapture?: import('react').ReactEventHandler<any> | undefined;
    onDurationChange?: import('react').ReactEventHandler<any> | undefined;
    onDurationChangeCapture?: import('react').ReactEventHandler<any> | undefined;
    onEmptied?: import('react').ReactEventHandler<any> | undefined;
    onEmptiedCapture?: import('react').ReactEventHandler<any> | undefined;
    onEncrypted?: import('react').ReactEventHandler<any> | undefined;
    onEncryptedCapture?: import('react').ReactEventHandler<any> | undefined;
    onEnded?: import('react').ReactEventHandler<any> | undefined;
    onEndedCapture?: import('react').ReactEventHandler<any> | undefined;
    onLoadedData?: import('react').ReactEventHandler<any> | undefined;
    onLoadedDataCapture?: import('react').ReactEventHandler<any> | undefined;
    onLoadedMetadata?: import('react').ReactEventHandler<any> | undefined;
    onLoadedMetadataCapture?: import('react').ReactEventHandler<any> | undefined;
    onLoadStart?: import('react').ReactEventHandler<any> | undefined;
    onLoadStartCapture?: import('react').ReactEventHandler<any> | undefined;
    onPause?: import('react').ReactEventHandler<any> | undefined;
    onPauseCapture?: import('react').ReactEventHandler<any> | undefined;
    onPlay?: import('react').ReactEventHandler<any> | undefined;
    onPlayCapture?: import('react').ReactEventHandler<any> | undefined;
    onPlaying?: import('react').ReactEventHandler<any> | undefined;
    onPlayingCapture?: import('react').ReactEventHandler<any> | undefined;
    onProgress?: import('react').ReactEventHandler<any> | undefined;
    onProgressCapture?: import('react').ReactEventHandler<any> | undefined;
    onRateChange?: import('react').ReactEventHandler<any> | undefined;
    onRateChangeCapture?: import('react').ReactEventHandler<any> | undefined;
    onResize?: import('react').ReactEventHandler<any> | undefined;
    onResizeCapture?: import('react').ReactEventHandler<any> | undefined;
    onSeeked?: import('react').ReactEventHandler<any> | undefined;
    onSeekedCapture?: import('react').ReactEventHandler<any> | undefined;
    onSeeking?: import('react').ReactEventHandler<any> | undefined;
    onSeekingCapture?: import('react').ReactEventHandler<any> | undefined;
    onStalled?: import('react').ReactEventHandler<any> | undefined;
    onStalledCapture?: import('react').ReactEventHandler<any> | undefined;
    onSuspend?: import('react').ReactEventHandler<any> | undefined;
    onSuspendCapture?: import('react').ReactEventHandler<any> | undefined;
    onTimeUpdate?: import('react').ReactEventHandler<any> | undefined;
    onTimeUpdateCapture?: import('react').ReactEventHandler<any> | undefined;
    onVolumeChange?: import('react').ReactEventHandler<any> | undefined;
    onVolumeChangeCapture?: import('react').ReactEventHandler<any> | undefined;
    onWaiting?: import('react').ReactEventHandler<any> | undefined;
    onWaitingCapture?: import('react').ReactEventHandler<any> | undefined;
    onAuxClick?: import('react').MouseEventHandler<any> | undefined;
    onAuxClickCapture?: import('react').MouseEventHandler<any> | undefined;
    onClick?: import('react').MouseEventHandler<any> | undefined;
    onClickCapture?: import('react').MouseEventHandler<any> | undefined;
    onContextMenu?: import('react').MouseEventHandler<any> | undefined;
    onContextMenuCapture?: import('react').MouseEventHandler<any> | undefined;
    onDoubleClick?: import('react').MouseEventHandler<any> | undefined;
    onDoubleClickCapture?: import('react').MouseEventHandler<any> | undefined;
    onDragCapture?: import('react').DragEventHandler<any> | undefined;
    onDragEndCapture?: import('react').DragEventHandler<any> | undefined;
    onDragEnter?: import('react').DragEventHandler<any> | undefined;
    onDragEnterCapture?: import('react').DragEventHandler<any> | undefined;
    onDragExit?: import('react').DragEventHandler<any> | undefined;
    onDragExitCapture?: import('react').DragEventHandler<any> | undefined;
    onDragLeave?: import('react').DragEventHandler<any> | undefined;
    onDragLeaveCapture?: import('react').DragEventHandler<any> | undefined;
    onDragOver?: import('react').DragEventHandler<any> | undefined;
    onDragOverCapture?: import('react').DragEventHandler<any> | undefined;
    onDragStartCapture?: import('react').DragEventHandler<any> | undefined;
    onDrop?: import('react').DragEventHandler<any> | undefined;
    onDropCapture?: import('react').DragEventHandler<any> | undefined;
    onMouseDown?: import('react').MouseEventHandler<any> | undefined;
    onMouseDownCapture?: import('react').MouseEventHandler<any> | undefined;
    onMouseEnter?: import('react').MouseEventHandler<any> | undefined;
    onMouseLeave?: import('react').MouseEventHandler<any> | undefined;
    onMouseMove?: import('react').MouseEventHandler<any> | undefined;
    onMouseMoveCapture?: import('react').MouseEventHandler<any> | undefined;
    onMouseOut?: import('react').MouseEventHandler<any> | undefined;
    onMouseOutCapture?: import('react').MouseEventHandler<any> | undefined;
    onMouseOver?: import('react').MouseEventHandler<any> | undefined;
    onMouseOverCapture?: import('react').MouseEventHandler<any> | undefined;
    onMouseUp?: import('react').MouseEventHandler<any> | undefined;
    onMouseUpCapture?: import('react').MouseEventHandler<any> | undefined;
    onSelect?: import('react').ReactEventHandler<any> | undefined;
    onSelectCapture?: import('react').ReactEventHandler<any> | undefined;
    onTouchCancel?: import('react').TouchEventHandler<any> | undefined;
    onTouchCancelCapture?: import('react').TouchEventHandler<any> | undefined;
    onTouchEnd?: import('react').TouchEventHandler<any> | undefined;
    onTouchEndCapture?: import('react').TouchEventHandler<any> | undefined;
    onTouchMove?: import('react').TouchEventHandler<any> | undefined;
    onTouchMoveCapture?: import('react').TouchEventHandler<any> | undefined;
    onTouchStart?: import('react').TouchEventHandler<any> | undefined;
    onTouchStartCapture?: import('react').TouchEventHandler<any> | undefined;
    onPointerDown?: import('react').PointerEventHandler<any> | undefined;
    onPointerDownCapture?: import('react').PointerEventHandler<any> | undefined;
    onPointerMove?: import('react').PointerEventHandler<any> | undefined;
    onPointerMoveCapture?: import('react').PointerEventHandler<any> | undefined;
    onPointerUp?: import('react').PointerEventHandler<any> | undefined;
    onPointerUpCapture?: import('react').PointerEventHandler<any> | undefined;
    onPointerCancel?: import('react').PointerEventHandler<any> | undefined;
    onPointerCancelCapture?: import('react').PointerEventHandler<any> | undefined;
    onPointerEnter?: import('react').PointerEventHandler<any> | undefined;
    onPointerLeave?: import('react').PointerEventHandler<any> | undefined;
    onPointerOver?: import('react').PointerEventHandler<any> | undefined;
    onPointerOverCapture?: import('react').PointerEventHandler<any> | undefined;
    onPointerOut?: import('react').PointerEventHandler<any> | undefined;
    onPointerOutCapture?: import('react').PointerEventHandler<any> | undefined;
    onGotPointerCapture?: import('react').PointerEventHandler<any> | undefined;
    onGotPointerCaptureCapture?: import('react').PointerEventHandler<any> | undefined;
    onLostPointerCapture?: import('react').PointerEventHandler<any> | undefined;
    onLostPointerCaptureCapture?: import('react').PointerEventHandler<any> | undefined;
    onScroll?: import('react').UIEventHandler<any> | undefined;
    onScrollCapture?: import('react').UIEventHandler<any> | undefined;
    onWheel?: import('react').WheelEventHandler<any> | undefined;
    onWheelCapture?: import('react').WheelEventHandler<any> | undefined;
    onAnimationStartCapture?: import('react').AnimationEventHandler<any> | undefined;
    onAnimationEnd?: import('react').AnimationEventHandler<any> | undefined;
    onAnimationEndCapture?: import('react').AnimationEventHandler<any> | undefined;
    onAnimationIteration?: import('react').AnimationEventHandler<any> | undefined;
    onAnimationIterationCapture?: import('react').AnimationEventHandler<any> | undefined;
    onTransitionEnd?: import('react').TransitionEventHandler<any> | undefined;
    onTransitionEndCapture?: import('react').TransitionEventHandler<any> | undefined;
    absolute?: import('..').TypePosition | undefined;
    alignChildren?: "start" | "middle" | "end" | undefined;
    alignChildrenHorizontal?: "start" | "middle" | "end" | "stretch" | "around" | "between" | undefined;
    alignChildrenVertical?: "start" | "middle" | "end" | "around" | "between" | undefined;
    alignSelf?: "start" | "middle" | "end" | undefined;
    backgroundColor?: import('..').TypeColor | "overlay" | undefined;
    basis?: import("csstype").Property.FlexBasis<string | number> | undefined;
    borderColor?: import('..').TypeColor | undefined;
    borderBottom?: boolean | undefined;
    borderLeft?: boolean | undefined;
    borderRight?: boolean | undefined;
    borderTop?: boolean | undefined;
    borderRadius?: string | number | undefined;
    borderSize?: import('..').TypeBorderSize | undefined;
    borderStyle?: "solid" | "dashed" | undefined;
    clickable?: boolean | undefined;
    container?: boolean | undefined;
    display?: import("csstype").Property.Display | undefined;
    flex?: "horizontal" | "vertical" | undefined;
    overflow?: import("csstype").Property.Overflow | undefined;
    clip?: string | number | undefined;
    end?: string | number | undefined;
    zIndex?: import("csstype").Property.ZIndex | undefined;
    ref?: import('react').LegacyRef<any> | undefined;
    elevate?: boolean | "x1" | "x2" | "x3" | undefined;
    gap?: import('..').TypeSize | undefined;
    gapHorizontal?: import('..').TypeSize | undefined;
    gapVertical?: import('..').TypeSize | undefined;
    grow?: boolean | import("csstype").Property.FlexGrow | undefined;
    margin?: import('..').TypeSize | undefined;
    maxHeight?: string | number | undefined;
    maxWidth?: string | number | undefined;
    minHeight?: string | number | undefined;
    minWidth?: string | number | undefined;
    padding?: import('..').TypeSize | undefined;
    paddingHorizontal?: import('..').TypeSize | undefined;
    paddingVertical?: import('..').TypeSize | undefined;
    paddingTop?: import('..').TypeSize | undefined;
    paddingRight?: import('..').TypeSize | undefined;
    paddingBottom?: import('..').TypeSize | undefined;
    paddingLeft?: import('..').TypeSize | undefined;
    paddingOffsetHorizontal?: import('..').TypeSize | undefined;
    paddingOffsetLeft?: import('..').TypeSize | undefined;
    paddingOffsetRight?: import('..').TypeSize | undefined;
    paddingOffsetTop?: import('..').TypeSize | undefined;
    paddingOffsetBottom?: import('..').TypeSize | undefined;
    shrink?: boolean | import("csstype").Property.FlexShrink | undefined;
    tag?: keyof JSX.IntrinsicElements | undefined;
    textColor?: import('..').TypeColor | undefined;
    theme?: import('..').TypeTheme | undefined;
    transitionDuration?: "base" | "slow" | "fast" | undefined;
    transitionProperty?: string | undefined;
    accentHeight?: string | number | undefined;
    accumulate?: "none" | "sum" | undefined;
    additive?: "replace" | "sum" | undefined;
    alignmentBaseline?: "inherit" | "auto" | "middle" | "alphabetic" | "hanging" | "ideographic" | "mathematical" | "baseline" | "after-edge" | "before-edge" | "central" | "text-after-edge" | "text-before-edge" | undefined;
    allowReorder?: "yes" | "no" | undefined;
    alphabetic?: string | number | undefined;
    amplitude?: string | number | undefined;
    arabicForm?: "initial" | "medial" | "terminal" | "isolated" | undefined;
    ascent?: string | number | undefined;
    attributeName?: string | undefined;
    attributeType?: string | undefined;
    autoReverse?: (boolean | "true" | "false") | undefined;
    azimuth?: string | number | undefined;
    baseFrequency?: string | number | undefined;
    baselineShift?: string | number | undefined;
    baseProfile?: string | number | undefined;
    bbox?: string | number | undefined;
    begin?: string | number | undefined;
    bias?: string | number | undefined;
    by?: string | number | undefined;
    calcMode?: string | number | undefined;
    capHeight?: string | number | undefined;
    clipPathUnits?: string | number | undefined;
    clipRule?: string | number | undefined;
    colorInterpolation?: string | number | undefined;
    colorInterpolationFilters?: "inherit" | "auto" | "linearRGB" | "sRGB" | undefined;
    colorProfile?: string | number | undefined;
    colorRendering?: string | number | undefined;
    contentScriptType?: string | number | undefined;
    contentStyleType?: string | number | undefined;
    cursor?: string | number | undefined;
    cx?: string | number | undefined;
    cy?: string | number | undefined;
    d?: string | undefined;
    decelerate?: string | number | undefined;
    descent?: string | number | undefined;
    diffuseConstant?: string | number | undefined;
    direction?: string | number | undefined;
    divisor?: string | number | undefined;
    dominantBaseline?: string | number | undefined;
    dur?: string | number | undefined;
    dx?: string | number | undefined;
    dy?: string | number | undefined;
    edgeMode?: string | number | undefined;
    elevation?: string | number | undefined;
    enableBackground?: string | number | undefined;
    exponent?: string | number | undefined;
    externalResourcesRequired?: (boolean | "true" | "false") | undefined;
    fillOpacity?: string | number | undefined;
    fillRule?: "inherit" | "evenodd" | "nonzero" | undefined;
    filterRes?: string | number | undefined;
    filterUnits?: string | number | undefined;
    floodColor?: string | number | undefined;
    floodOpacity?: string | number | undefined;
    focusable?: (boolean | "true" | "false") | "auto" | undefined;
    fontFamily?: string | undefined;
    fontSize?: string | number | undefined;
    fontSizeAdjust?: string | number | undefined;
    fontStretch?: string | number | undefined;
    fontStyle?: string | number | undefined;
    fontVariant?: string | number | undefined;
    fontWeight?: string | number | undefined;
    format?: string | number | undefined;
    fr?: string | number | undefined;
    from?: string | number | undefined;
    fx?: string | number | undefined;
    fy?: string | number | undefined;
    g1?: string | number | undefined;
    g2?: string | number | undefined;
    glyphName?: string | number | undefined;
    glyphOrientationHorizontal?: string | number | undefined;
    glyphOrientationVertical?: string | number | undefined;
    glyphRef?: string | number | undefined;
    gradientTransform?: string | undefined;
    gradientUnits?: string | undefined;
    hanging?: string | number | undefined;
    horizAdvX?: string | number | undefined;
    horizOriginX?: string | number | undefined;
    ideographic?: string | number | undefined;
    imageRendering?: string | number | undefined;
    in2?: string | number | undefined;
    in?: string | undefined;
    intercept?: string | number | undefined;
    k1?: string | number | undefined;
    k2?: string | number | undefined;
    k3?: string | number | undefined;
    k4?: string | number | undefined;
    k?: string | number | undefined;
    kernelMatrix?: string | number | undefined;
    kernelUnitLength?: string | number | undefined;
    kerning?: string | number | undefined;
    keyPoints?: string | number | undefined;
    keySplines?: string | number | undefined;
    keyTimes?: string | number | undefined;
    lengthAdjust?: string | number | undefined;
    letterSpacing?: string | number | undefined;
    lightingColor?: string | number | undefined;
    limitingConeAngle?: string | number | undefined;
    local?: string | number | undefined;
    markerEnd?: string | undefined;
    markerHeight?: string | number | undefined;
    markerMid?: string | undefined;
    markerStart?: string | undefined;
    markerUnits?: string | number | undefined;
    markerWidth?: string | number | undefined;
    maskContentUnits?: string | number | undefined;
    maskUnits?: string | number | undefined;
    mathematical?: string | number | undefined;
    mode?: string | number | undefined;
    numOctaves?: string | number | undefined;
    offset?: string | number | undefined;
    opacity?: string | number | undefined;
    operator?: string | number | undefined;
    order?: string | number | undefined;
    orient?: string | number | undefined;
    orientation?: string | number | undefined;
    origin?: string | number | undefined;
    overlinePosition?: string | number | undefined;
    overlineThickness?: string | number | undefined;
    paintOrder?: string | number | undefined;
    panose1?: string | number | undefined;
    pathLength?: string | number | undefined;
    patternContentUnits?: string | undefined;
    patternTransform?: string | number | undefined;
    patternUnits?: string | undefined;
    pointerEvents?: string | number | undefined;
    points?: string | undefined;
    pointsAtX?: string | number | undefined;
    pointsAtY?: string | number | undefined;
    pointsAtZ?: string | number | undefined;
    preserveAlpha?: (boolean | "true" | "false") | undefined;
    preserveAspectRatio?: string | undefined;
    primitiveUnits?: string | number | undefined;
    r?: string | number | undefined;
    radius?: string | number | undefined;
    refX?: string | number | undefined;
    refY?: string | number | undefined;
    renderingIntent?: string | number | undefined;
    repeatCount?: string | number | undefined;
    repeatDur?: string | number | undefined;
    requiredExtensions?: string | number | undefined;
    requiredFeatures?: string | number | undefined;
    restart?: string | number | undefined;
    result?: string | undefined;
    rotate?: string | number | undefined;
    rx?: string | number | undefined;
    ry?: string | number | undefined;
    scale?: string | number | undefined;
    seed?: string | number | undefined;
    shapeRendering?: string | number | undefined;
    slope?: string | number | undefined;
    spacing?: string | number | undefined;
    specularConstant?: string | number | undefined;
    specularExponent?: string | number | undefined;
    speed?: string | number | undefined;
    spreadMethod?: string | undefined;
    startOffset?: string | number | undefined;
    stdDeviation?: string | number | undefined;
    stemh?: string | number | undefined;
    stemv?: string | number | undefined;
    stitchTiles?: string | number | undefined;
    stopColor?: string | undefined;
    stopOpacity?: string | number | undefined;
    strikethroughPosition?: string | number | undefined;
    strikethroughThickness?: string | number | undefined;
    stroke?: string | undefined;
    strokeDasharray?: string | number | undefined;
    strokeDashoffset?: string | number | undefined;
    strokeLinecap?: "inherit" | "round" | "butt" | "square" | undefined;
    strokeLinejoin?: "inherit" | "round" | "bevel" | "miter" | undefined;
    strokeMiterlimit?: string | number | undefined;
    strokeOpacity?: string | number | undefined;
    strokeWidth?: string | number | undefined;
    surfaceScale?: string | number | undefined;
    systemLanguage?: string | number | undefined;
    tableValues?: string | number | undefined;
    targetX?: string | number | undefined;
    targetY?: string | number | undefined;
    textAnchor?: string | undefined;
    textDecoration?: string | number | undefined;
    textLength?: string | number | undefined;
    textRendering?: string | number | undefined;
    to?: string | number | undefined;
    transform?: string | undefined;
    u1?: string | number | undefined;
    u2?: string | number | undefined;
    underlinePosition?: string | number | undefined;
    underlineThickness?: string | number | undefined;
    unicode?: string | number | undefined;
    unicodeBidi?: string | number | undefined;
    unicodeRange?: string | number | undefined;
    unitsPerEm?: string | number | undefined;
    vAlphabetic?: string | number | undefined;
    vectorEffect?: string | number | undefined;
    version?: string | undefined;
    vertAdvY?: string | number | undefined;
    vertOriginX?: string | number | undefined;
    vertOriginY?: string | number | undefined;
    vHanging?: string | number | undefined;
    vIdeographic?: string | number | undefined;
    viewBox?: string | undefined;
    viewTarget?: string | number | undefined;
    visibility?: string | number | undefined;
    vMathematical?: string | number | undefined;
    widths?: string | number | undefined;
    wordSpacing?: string | number | undefined;
    writingMode?: string | number | undefined;
    x?: string | number | undefined;
    xChannelSelector?: string | undefined;
    xHeight?: string | number | undefined;
    xlinkActuate?: string | undefined;
    xlinkArcrole?: string | undefined;
    xlinkHref?: string | undefined;
    xlinkRole?: string | undefined;
    xlinkShow?: string | undefined;
    xlinkTitle?: string | undefined;
    xlinkType?: string | undefined;
    xmlBase?: string | undefined;
    xmlLang?: string | undefined;
    xmlns?: string | undefined;
    xmlnsXlink?: string | undefined;
    xmlSpace?: string | undefined;
    y1?: string | number | undefined;
    y2?: string | number | undefined;
    y?: string | number | undefined;
    yChannelSelector?: string | undefined;
    z?: string | number | undefined;
    zoomAndPan?: string | undefined;
    key?: import('react').Key | null | undefined;
} & MotionProps>;
