import { CheckBoxProps } from '../CheckBox/CheckBox';
import { RadioButtonProps } from '../RadioButton/RadioButton';
/**
 * A component that can be used to display a list of options.
 */
export interface OptionProps extends CheckBoxProps, RadioButtonProps {
    /**
     * Switches the selection style from singular to multiple
     * by following the same pattern as CheckBoxes and RadioButtons.
     */
    multiselect?: boolean;
}
export declare const Option: import('react').ForwardRefExoticComponent<OptionProps & import('react').RefAttributes<HTMLInputElement>>;
