import { AppearProps } from '../Appear/Appear';
import { BoxProps } from '../Box/Box';
/**
 * The content to be displayed in the placement.
 */
export interface PlacementContentProps extends BoxProps {
    /**
     * The animation to use when the content appears
     */
    animation?: AppearProps['animation'];
    /**
     * Whether or not to show the arrow
     *
     * @default false
     */
    withArrow?: boolean;
}
export declare const PlacementContent: import('react').ForwardRefExoticComponent<PlacementContentProps & import('react').RefAttributes<HTMLDivElement>>;
