import { BoxProps } from '../Box/Box';
export type TypeTextSize = 'x1' | 'x2' | 'x3' | 'x4' | 'x5' | 'x6' | 'x7' | 'x8';
export type TypeTextWeight = 'x1' | 'x2' | 'x3' | 'x4' | 'x5';
/**
 * A text component that can be used to display text.
 */
export interface TextProps extends Omit<BoxProps, 'size'> {
    /** Text alignment */
    align?: 'start' | 'middle' | 'end';
    /** How the block of text should break onto new lines. */
    breakOn?: 'all' | 'none' | 'word';
    /** Replaces the overflow of text with the ellipsis character */
    ellipsis?: boolean;
    /** Applies emphasis styling */
    emphasis?: boolean;
    /** Applies a custom line height */
    lineHeight?: number;
    /** Applies a monospace font family style */
    monospace?: boolean;
    /** Size of the text */
    size?: TypeTextSize;
    /** Applies subscript baseline styling */
    subscript?: boolean;
    /** Applies superscript baseline styling */
    superscript?: boolean;
    /** Applies stronger weight and a strong tag */
    strong?: boolean;
    /** Applies title casing styling */
    titlecase?: boolean;
    /** Applies uppercasing styling */
    uppercase?: boolean;
    /** Applies weight styling */
    weight?: TypeTextWeight;
}
export declare const Text: import('react').ForwardRefExoticComponent<TextProps & import('react').RefAttributes<any>>;
