import { BoxProps } from '../Box/Box';
/**
 * A toggle component that can be used to indicate on/off states.
 */
export interface ToggleProps extends Omit<BoxProps, 'onChange' | 'size' | 'value'> {
    /** Icon to show when the toggle is in an off state */
    iconOff?: JSX.Element;
    /** Icon to show when the toggle is in an on state */
    iconOn?: JSX.Element;
    /** Callback for when the value changes (provided with the new value) */
    onChange?: (value: boolean) => void;
    /** Size of the toggle (height) */
    size?: number;
    /** True/False value of the state of the toggle */
    value: boolean;
}
export declare const Toggle: import('react').ForwardRefExoticComponent<ToggleProps & import('react').RefAttributes<HTMLLabelElement>>;
