import { ReactNode } from 'react';
import { PlacementProps } from '../Placement/Placement';
import { PlacementContentProps } from '../Placement/PlacementContent';
import { UsePlacementTrigger } from '../Placement/usePlacement';
export interface TooltipProps extends Omit<PlacementContentProps, 'content'> {
    /**
     * The content to be displayed in the tooltip.
     */
    content: ReactNode;
    /**
     * @default "top"
     */
    placement?: PlacementProps['placement'];
    /**
     * The visibility trigger type.
     *
     * @default "hover"
     */
    trigger?: UsePlacementTrigger;
    /** Flag that toggles the visible of the placed content. */
    visible?: boolean;
}
export declare const Tooltip: import('react').ForwardRefExoticComponent<TooltipProps & import('react').RefAttributes<any>>;
